# IMANI

## Overview

**IMANI** (Interaction Atoms Molecular Nanosecond Insights) is a Python package designed for analyzing molecular interactions from nanosecond-scale molecular dynamics (MD) simulations. Built on top of MDAnalysis, imani provides robust tools for molecular dynamics analysis, helping researchers quickly extract meaningful insights from complex molecular simulations. It enables users to study flip-flop movements, hydration profiles, and molecular orientations within complex systems such as membranes and micelles.

IMANI is built on top of MDAnalysis, NumPy, SciPy, and other powerful Python libraries, ensuring high performance and flexibility.

## Features

- **Flip-flop analysis:** Track molecule movement across membrane leaflets.
- **Hydration analysis:** Calculate water density profiles around specified molecules.
- **Orientation analysis:** Measure tilt angles and orientations of molecules relative to the membrane normal.

## Installation

You can install the IMANI package using pip:

```bash
pip install imani

